Bug 1575670 - [abrt] nouveau_cli_fini: WARNING: CPU: 4 PID: 1979 at drivers/gpu/drm/nouveau/nouveau_drm.c:120 nouveau_cli_work_flush+0x130/0x140 [nouveau] [nouveau]
Summary: [abrt] nouveau_cli_fini: WARNING: CPU: 4 PID: 1979 at drivers/gpu/drm/nouveau...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ben Skeggs
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:073a5fb66304353372deceeb3fd...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-07 15:05 UTC by Dan O.
Modified: 2019-05-28 21:49 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 21:49:56 UTC
Type: ---


Attachments (Terms of Use)
File: dmesg (79.69 KB, text/plain)
2018-05-07 15:05 UTC, Dan O.
no flags Details

Description Dan O. 2018-05-07 15:05:47 UTC
Description of problem:
This problem for me was easily reproducable by opening the HipChat4 desktop client. The client would open and connect, then shortly after the system would hang with this issue.

Additional info:
reporter:       libreport-2.9.5
WARNING: CPU: 4 PID: 1979 at drivers/gpu/drm/nouveau/nouveau_drm.c:120 nouveau_cli_work_flush+0x130/0x140 [nouveau]
Modules linked in: fuse xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack devlink ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables sunrpc vfat fat snd_hda_codec_hdmi intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel iTCO_wdt iTCO_vendor_support kvm snd_hda_codec_realtek snd_hda_codec_generic irqbypass snd_hda_intel intel_cstate snd_hda_codec intel_uncore intel_rapl_perf
 snd_hda_core snd_hwdep snd_seq snd_seq_device snd_pcm intel_wmi_thunderbolt snd_timer i2c_i801 snd mei_me joydev soundcore tpm_crb tpm_tis mei shpchp tpm_tis_core acpi_pad tpm binfmt_misc dm_crypt hid_logitech_hidpp hid_logitech_dj nouveau i2c_algo_bit drm_kms_helper e1000e ttm crct10dif_pclmul crc32_pclmul crc32c_intel mxm_wmi nvme drm alx ptp ghash_clmulni_intel nvme_core pps_core mdio video wmi
CPU: 4 PID: 1979 Comm: Xwayland Not tainted 4.16.6-302.fc28.x86_64 #1
Hardware name: Gigabyte Technology Co., Ltd. Z170X-Gaming 5/Z170X-Gaming 5, BIOS F21 03/06/2017
RIP: 0010:nouveau_cli_work_flush+0x130/0x140 [nouveau]
RSP: 0018:ffffbf3ed06f3d48 EFLAGS: 00010246
RAX: 0000000000000000 RBX: ffff9c571943e300 RCX: 0000000000000000
RDX: ffff9c571943e328 RSI: 0000000000000292 RDI: 0000000000000292
RBP: ffff9c572c762618 R08: ffff9c577ed21560 R09: 0000000000000000
R10: 0000000000000000 R11: 0000003d6e16e800 R12: ffff9c572c762608
R13: ffff9c56fefcae80 R14: dead000000000100 R15: ffff9c571943e310
FS:  00007f341f72aac0(0000) GS:ffff9c577ed00000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007fe194b6e478 CR3: 000000015420a004 CR4: 00000000003606e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
Call Trace:
 nouveau_cli_fini+0x13/0x70 [nouveau]
 nouveau_drm_postclose+0xb7/0xf0 [nouveau]
 drm_release+0x292/0x3b0 [drm]
 __fput+0xa6/0x1f0
 task_work_run+0x84/0xa0
 do_exit+0x2d3/0xae0
 ? handle_mm_fault+0xda/0x200
 ? __do_page_fault+0x263/0x4e0
 ? do_group_exit+0x3a/0xa0
 ? SyS_exit_group+0x10/0x10
 ? do_syscall_64+0x74/0x180
 ? entry_SYSCALL_64_after_hwframe+0x3d/0xa2
Code: a7 eb 17 ce e9 4f ff ff ff 48 8b 7c 24 08 48 83 c4 10 5b 5d 41 5c 41 5d 41 5e 41 5f e9 ca eb 45 ce 4c 89 ef e8 42 f3 17 ce eb c0 <0f> 0b eb bc 66 90 66 2e 0f 1f 84 00 00 00 00 00 0f 1f 44 00 00

Comment 1 Dan O. 2018-05-07 15:05:56 UTC
Created attachment 1432670 [details]
File: dmesg

Comment 2 Ben Cotton 2019-05-02 21:19:52 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2019-05-28 21:49:56 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.